Bug 53761 - Initscript doesn't handle pid file properly
Initscript doesn't handle pid file properly
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: squid (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-17 18:33 EDT by Thomas Jarosch
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 23:28:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugfix (789 bytes, patch)
2001-09-17 18:33 EDT, Thomas Jarosch
no flags Details | Diff

  None (edit)
Description Thomas Jarosch 2001-09-17 18:33:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
If you have to do a lot of restarts/reloads of squid (like changing the 
configuration on the fly for a network appliance) the current initscript 
will run multiple copies of squid due it's improper pidfile handling. 
Those extra instances will fail with "Cannot open HTTP port" or "No copy 
running". Patch supplied.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ./squid restart ; ./squid restart ; ./squid restart
	

Additional info:
Comment 1 Thomas Jarosch 2001-09-17 18:33:49 EDT
Created attachment 31938 [details]
bugfix
Comment 2 Bill Nottingham 2002-07-08 17:06:14 EDT
Added in 2.4.STABLE7-1; thanks!

Note You need to log in before you can comment on or make changes to this bug.